###
### Copyright 2002 Ximian, Inc.
###
### This program is free software; you can redistribute it and/or modify
### it under the terms of the GNU General Public License, version 2,
### as published by the Free Software Foundation.
###
### This program is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details.
###
### You should have received a copy of the GNU General Public License
### along with this program; if not, write to the Free Software
### Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
###

import os
import commands
import tempfile
import sys
import string
import md5

# Python 1.5 doesn't have hexdigest() for md5.  blah.
def hexstr(s):
    h = string.hexdigits
    r = ''
    for c in s:
        i = ord(c)
        r = r + h[(i >> 4) & 0xF] + h[i & 0xF]
    return r

def md5ify_password(pw):
    return hexstr(md5.new(pw).digest())

# returns 1 if we were able get a pager ($PAGER, less, or more, in that order)
# returns 0 otherwise
def display_in_pager(text):
    pager = None
    try:
        pager = os.environ['PAGER']
    except KeyError:
        if os.path.exists('/usr/bin/less'):
            pager = '/usr/bin/less'
        elif os.path.exists('/bin/more'):
            pager = '/usr/bin/more'

    if pager == None:
        return 0

    license_file = tempfile.NamedTemporaryFile()
    license_file.write(text)
    license_file.flush()
    os.system("%s %s" % (pager, license_file.name))
    return 1




